Bug 207240 - net-im/skype4: missing dependencies
Summary: net-im/skype4: missing dependencies
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Many People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-16 07:48 UTC by Pavel Timofeev
Modified: 2016-02-29 09:59 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (xmj)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Timofeev 2016-02-16 07:48:01 UTC
Hi!
net-im/skype4 port is missing two dependencies:
audio/linux-c6-pulseaudio-libs
security/linux-c6-openssl


I tried to install and run it under FreeBSD 10.3-BETA2 and HEAD ports tree.
What I did:
# mkdir -p /compat/linux/proc/
add linprocfs to /etc/fstab
add linux_enable="YES" to /etc/rc.conf
# reboot

# portmaster /usr/ports/net-im/skype4

% skype 
/usr/local/share/skype/skype: error while loading shared libraries: libpulse-mainloop-glib.so.0: cannot open shared object file: No such file or directory

# portmaster /usr/ports/audio/linux-c6-pulseaudio-libs

% skype
/usr/local/share/skype/skype: error while loading shared libraries: libssl.so.10: cannot open shared object file: No such file or directory

# portmaster /usr/ports/security/linux-c6-openssl
And only after the last step I managed to start skype.
Comment 1 Johannes Jost Meixner freebsd_committer 2016-02-18 20:02:01 UTC
That's a known "feature".

Can you please take a look at https://reviews.freebsd.org/D5141 -- it should be fixed in it.
Comment 2 Pavel Timofeev 2016-02-19 10:49:01 UTC
(In reply to Johannes Jost Meixner from comment #1)
Thank you, Johannes. My big report should be closed then.
Comment 3 Pavel Timofeev 2016-02-25 05:56:18 UTC
Seems like this commit https://svnweb.freebsd.org/ports?view=revision&revision=409490 should solve the problem
Comment 4 Pavel Timofeev 2016-02-29 09:59:58 UTC
Thanks a lot!